Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class AdaptingBehaviorTestCase

    java.lang.Object
      org.picocontainer.behaviors.AdaptingBehaviorTestCase

    public class AdaptingBehaviorTestCase

extends Object

Nested Class Summary
`static class` | `AdaptingBehaviorTestCase.MyHashMap`
`static class` | `AdaptingBehaviorTestCase.MyHashMap2`

Constructor Summary
`AdaptingBehaviorTestCase()`

Method Summary
`void` | `mergeInto(Properties p, Properties into)`
`void` | `testCachingAndImplHidingAndThreadSafetySetupCorrectly()`
`void` | `testCachingAndImplHidingAndThreadSafetySetupCorrectlyForExtraCaching()`
`void` | `testCachingAndImplHidingAndThreadSafetySetupCorrectlyForExtraCachingForAdapter()`
`void` | `testCachingBehaviorCanBeAddedByAnnotation()`
`void` | `testCachingBehaviorCanBeAddedByCharacteristics()`
`void` | `testImplementationHidingBehaviorCanBeAddedByCharacteristics()`
`void` | `testPropertyApplyingBehaviorCanBeAddedByCharacteristics()`
`void` | `testSetterInjectionCanBeTriggereedMeaningAdaptiveInjectorIsUsed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaptingBehaviorTestCase

    public AdaptingBehaviorTestCase()

Method Detail

### testCachingBehaviorCanBeAddedByCharacteristics

    public void testCachingBehaviorCanBeAddedByCharacteristics()

### testCachingBehaviorCanBeAddedByAnnotation

    public void testCachingBehaviorCanBeAddedByAnnotation()

### testImplementationHidingBehaviorCanBeAddedByCharacteristics

    public void testImplementationHidingBehaviorCanBeAddedByCharacteristics()

### testPropertyApplyingBehaviorCanBeAddedByCharacteristics

    public void testPropertyApplyingBehaviorCanBeAddedByCharacteristics()

### testSetterInjectionCanBeTriggereedMeaningAdaptiveInjectorIsUsed

    public void testSetterInjectionCanBeTriggereedMeaningAdaptiveInjectorIsUsed()

### testCachingAndImplHidingAndThreadSafetySetupCorrectly

    public void testCachingAndImplHidingAndThreadSafetySetupCorrectly()

### testCachingAndImplHidingAndThreadSafetySetupCorrectlyForExtraCaching

    public void testCachingAndImplHidingAndThreadSafetySetupCorrectlyForExtraCaching()

### testCachingAndImplHidingAndThreadSafetySetupCorrectlyForExtraCachingForAdapter

    public void testCachingAndImplHidingAndThreadSafetySetupCorrectlyForExtraCachingForAdapter()

### mergeInto

    public void mergeInto(Properties p,
                          Properties into)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.